/* The responsive design approach establishes that any web design should adapt to the users */
/* resolution, web browser of choice, device of choice , interaction, etc*/
/* To accomplish a responsive web site you may use Media Queries */
/* Media Queries consist on css code that will apply only under certain conditions. Example: */

html {
    font-size: 62.5%;
}

/* Smaller than a smartphone */
body {
    background-color: aquamarine;
    font-size: 3rem; /* This property will stay the same, since no media querie rewrites "font-size" */
}

/* Smartphone */
@media (min-width: 480px) {  /* 480 px is usually the width of mobile phones' screens */
    body {
        background-color: blue; /* This will apply only if the available screen size for the web site is 480px or more*/ 
    }
}

/* Tablet */
@media (min-width: 768px) {
    body {
        background-color: red; /* This will apply only if the available screen size for the web site is 480px or more*/ 
    }
}

/* Laptop por or desktop pc */
@media (min-width: 1140px) {
    body {
        background-color: yellow; /* This will apply only if the available screen size for the web site is 1140px or more*/  
    }
}

/* TV */
@media (min-width: 1400px) {
    body {
        background-color: orange; /* This will apply only if the available screen size for the web site is 1400px or more*/  
    }
}

/* You'll use a lot of media queries. To speed up this process you may create a user snippet: */
/* CTLR+SHIFT+P => Configure User Snippets =>  css => copy the following code: */
/*
"Create Media Querie" : {
		"prefix" : "mq",
		"body" : "@media (min-width $1) {\n    $2\n}"
	}		
}
*/
/* This media querie protype will write itself when typing "mq" */

/* Usefull data: The web browser inspector allows you to view the website using certain device's screen size */
/* In order to do this click on the "Toogle device toolbar" wich has a tablet/smartphone symbol */
/* You may also use the Responsively free software to do this. */